# Uses of Interface
org.eclipse.emf.cdo.spi.common.revision.InternalCDOList

Packages that use InternalCDOList
Package
Description
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of InternalCDOList in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of InternalCDOList in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`static interface`
`InternalCDOList.ConfigurableEquality`
A mix-in interface for `InternalCDOList` that allows to optimize the speed of equality checks.
Methods in org.eclipse.emf.cdo.spi.common.revision that return InternalCDOList
Modifier and Type
Method
Description
`InternalCDOList`
InternalCDOList.`clone(EClassifier classifier)`
Clones the list.
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type InternalCDOList
Modifier and Type
Method
Description
`void`
BaseCDORevision.`setList(EStructuralFeature feature, InternalCDOList list)`
`void`
DelegatingCDORevision.`setList(EStructuralFeature feature, InternalCDOList list)`
`void`
InternalCDORevision.`setList(EStructuralFeature feature, InternalCDOList list)`
`void`
StubCDORevision.`setList(EStructuralFeature feature, InternalCDOList list)`